Subject: Re: [PATCH v2 2/6] leds: trigger: Create a new LED netdev trigger for collision

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 27 Feb 2024 16:26:13 +0000

On Tue, Feb 27, 2024 at 05:03:14PM +0100, Andrew Lunn wrote:
> On Tue, Feb 27, 2024 at 10:39:41AM +0100, Bastien Curutchet wrote:
> > Collisions on link does not fit into one of the existing netdev triggers.
> > 
> > Add TRIGGER_NETDEV_COLLISION in the enum led_trigger_netdev_modes.
> > Add its definition in Documentation.
> > Add its handling in ledtrig-netdev, it can only be supported by hardware
> > so no software fallback is implemented.
> 
> How useful is collision? How did you test this? How did you cause
> collisions to see if the LED actually worked?
> 
> As far as i can see, this is just a normal 100Base-T PHY. Everybody
> uses that point-to-point nowadays.

That's largely irrelevant when it comes to collisions. If the link has
negotiated half-duplex mode (which we still support) then even on
twisted pair, there can be collisions, even though TX and RX are using
separate pairs. It's a quirk of 802.3 that this is the case.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!